BlackBerry Attachment Service PDF Distiller Multiple Remote Code Execution Vulnerabilities

http://www.securityfocus.com/bid/37167/info

"BlackBerry Attachment Service is prone to multiple remote
code-execution vulnerabilities when handling specially crafted PDF files.

Attackers can leverage these issues to corrupt memory and execute
arbitrary code in the context of the vulnerable service, possibly with
SYSTEM-level privileges. Successful exploits will compromise the server.
Failed attacks will likely result in denial-of-service conditions. "

This bug affects PDF distiller on:

* BlackBerry® Enterprise Server
* BlackBerry® Professional Software

Users of this software should look for patches which are available from
RIM. It should be noted, this issue is with desktop or server software
that distils PDFs for BlackBerry devices, it does not appear to impact
the BlackBerry devices themselves.